Page MenuHomePhabricator

RESTBase should be able to store Parsoid/PHP contents in Cassandra alongwith Parsoid/JS contents
Closed, ResolvedPublic

Description

For a while, both Parsoid/JS and Parsoid/PHP will be enabled in production. The original plan was to do the switch by wiki where all services on that wiki will be switched over. But, @Pchelolo thinks that is a risky all-or-nothing strategy. He advocates for a strategy where we switch over client services at different points as different services are tested and can be switched over or reverted on an individual basis.

This requires that for every wiki, RESTBase stores content of both Parsoid/PHP and Parsoid/JS at the same time, effectively doubling storage from the time Parsoid/PHP goes live to the time Parsoid/JS is decommissioned.

This task is to track the work required for ensuring RESTBase can store Parsoid/PHP content alongwith parsoid/JS content.

Event Timeline

ssastry renamed this task from RESTBase should be able to store Parsoid/PHP contents in Cassandara alongwith Parsoid/JS contents to RESTBase should be able to store Parsoid/PHP contents in Cassandra alongwith Parsoid/JS contents.Jul 25 2019, 4:09 PM
ssastry created this task.
ssastry moved this task from Backlog to Non-parsing Team Work on the Parsoid-PHP board.
matmarex updated the task description. (Show Details)Aug 8 2019, 4:50 PM
WDoranWMF moved this task from mop to Inbox on the Core Platform Team board.Aug 12 2019, 1:26 PM
mobrovac changed the status of subtask T230792: Create Parsoid/PHP tables in Cassandra from Open to Stalled.Aug 20 2019, 3:56 PM
mobrovac triaged this task as High priority.Oct 18 2019, 6:06 PM
mobrovac closed this task as Resolved.Oct 28 2019, 10:04 AM
mobrovac claimed this task.

RESTBase is now able to direct traffic to both variants in either mirror or split mode and store the results in the appropriate storage buckets. Resolving.